#pragma once
#include <iostream>
#include <vector>

struct Node {
	size_t ID_node;
	bool flag;
	Node() = default;
	Node(size_t _ID_node, bool _flag) : ID_node(_ID_node),
										flag(_flag) {};
};

struct FiniteElement {
	size_t ID;
	size_t ID_material;
	std::vector<size_t> materials;
	FiniteElement() = default;
	FiniteElement(size_t _ID, size_t _ID_material, std::vector<size_t>_materials) : ID(_ID),
										ID_material(_ID_material), materials(std::move(_materials)) {};

};

struct BoundaryFiniteElement {
	size_t ID_boundary;
	std::vector<size_t> node_boundary;
	BoundaryFiniteElement() = default;
	BoundaryFiniteElement(size_t _ID_boundary, std::vector<size_t>_node_boundary) : ID_boundary(_ID_boundary),
																					node_boundary(std::move(_node_boundary)) {};
};